MADDEXEC(1)

NAME
mAddExec - Create a mosaic from images already in the same projection

SYNOPSIS
mAddExec [-p imgdir] [-n(o-areas)] [-a mean|median] [-e(xact-size)] [-d level] [-s statusfile] [-x TilesSizeAxis0] [-y TileSizeAxis1] [-o OverlapAxis0] [-q OverlapAxis1] images.tbl template.hdr tiledir out.fits

DESCRIPTION
Builds a series of outputs (which together make up a tiled output) through multiple executions of the mAdd modules.

OPTIONS

-p imgdir
    Specifies path to directory containing reprojected images. If the -p switch is not included, mAdd will look for the input images in the current working directory.

-n  Co-addition ignores weighting by pixel areas and performs coaddition based only on pixel postions. Will not output an area image for the output image.

-a type
    Select type of averaging to be done on accumulated pixel values (either mean or median).

-e  Enables exact size mode. The output image will match the header template exactly, instead of shrinking the output to fit the data.

-d level
    Turns on debugging to the specified level (1-3).

-s statusfile
    mAdd output and errors will be written to statusfile instead of stdout.

ARGUMENTS

images.tbl
    ASCII table (generated by mImgtbl) containing metadata for all images to be coadded.

template.hdr
    FITS header template to be used in generation of output FITS

tiledir
    Directory to contain output tile images and header templates

out.fits
    Prefix for output tile images

RESULT
If successful, mAddExec creates a set of FITS tiles covering the area described in template.hdr, as well as matching "tiled" header files for each output tile.

MESSAGES

OK  [struct stat = "OK", time=time]

ERROR
    MPI initialization failed

ERROR
    Invalid argument for -x flag

ERROR
    Invalid argument for -y flag

ERROR
    Invalid argument for -o flag

ERROR
    Invalid argument for -q flag

ERROR
    Invalid argument for -a flag

ERROR
    Cannot open status file: statusfile

ERROR
    command line option was not integer

ERROR
    option cannot be negative

ERROR
    Invalid image metadata file: filename

ERROR
    Need columns: cntr,fname, crpix1, crpix2, cdelt1, cdelt2, naxis1, naxis2, crval1, crval2 in image list

ERROR
    Memory allocation failed

ERROR
    Too many open files

ERROR
    Input wcsinit() failed.

ERROR
    Failed to allocate enough memory for output arrays

ERROR
    Bad WCS in header template.

ERROR
    Template file not found.

ERROR
    FITS library error

ERROR
    general error message

EXAMPLES

The following example runs mAddExec on this set of images, generating a set of tiles conforming to the size and overlap specified on the command line:

$ mAddExec -p proj -x 1000 -y 1000 images.tbl template.hdr tiles tile.fits
    [struct stat="OK", mTileHdr_count=4, mTileHdr_failed=0, mTileHdr_warning=0, mAdd_count=4, mAdd_failed=0, mAdd_warning=0, time=8]

$ ls tiles
    tile_0_0.hdr tile_0_0.fits tile_0_0_area.fits tile_0_1.hdr tile_0_1.fits tile_0_1_area.fits tile_1_0.hdr tile_1_0.fits tile_1_0_area.fits tile_1_1.hdr tile_1_1.fits tile_1_1_area.fits

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.